﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.Banking
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("ReportTests")]
    public partial class ReportTestsFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "ReportTests.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "ReportTests", "", ProgrammingLanguage.CSharp, ((string[])(null)));
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Banking Bag Collection Report")]
        [NUnit.Framework.CategoryAttribute("ReportTests")]
        public virtual void BankingBagCollectionReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Banking Bag Collection Report", new string[] {
                        "ReportTests"});
#line 4
this.ScenarioSetup(scenarioInfo);
#line 5
testRunner.Given("There was a bag with Value 4455.00 and with Seal Number \'777-77777777-7\' for peri" +
                    "od 567 and date 02/03/2013 with comment \'\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 6
testRunner.And("There was a bag with Value 2670.00 and with Seal Number \'123\' for period 777 and " +
                    "date 06/07/2008 with comment \'test item comment\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 7
testRunner.And("Collection Slip \'13131\' was set", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 8
testRunner.And("Comment \'Test Comment\' was set", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 9
testRunner.When("Report was prepared", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table1 = new TechTalk.SpecFlow.Table(new string[] {
                        "Bag Collection",
                        "Banking Day",
                        "Banking Seal",
                        "Value",
                        "Comment"});
            table1.AddRow(new string[] {
                        "true",
                        "567:03/02/2013",
                        "777-77777777-7",
                        "4455.00",
                        ""});
            table1.AddRow(new string[] {
                        "false",
                        "777:07/06/2008",
                        "123",
                        "2670.00",
                        "test item comment"});
#line 10
testRunner.Then("Report with next data is displayed", ((string)(null)), table1, "Then ");
#line 14
testRunner.And("Banking Bag Collection Report Collection Slip is \'13131\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 15
testRunner.And("Banking Bag Collection Report Comment is \'Test Comment\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Cashier Performance Report Displays Null Values Correctly")]
        public virtual void CashierPerformanceReportDisplaysNullValuesCorrectly()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Cashier Performance Report Displays Null Values Correctly", ((string[])(null)));
#line 17
this.ScenarioSetup(scenarioInfo);
#line 18
testRunner.Given("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 19
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 20
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 21
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 22
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 23
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 24
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 25
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 26
testRunner.When("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 27
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 28
testRunner.Then("Sales for \'Fred Bloggs\' during the period from a week ago to a week today has val" +
                    "ues 1600.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 29
testRunner.And("Sales for \'Bill Smith\' during the period from a week ago to a week today has valu" +
                    "es 0.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("End Of Day Check Report with UnScanned Bags Displayed On Report for Multiday Scen" +
            "ario for the First Day")]
        public virtual void EndOfDayCheckReportWithUnScannedBagsDisplayedOnReportForMultidayScenarioForTheFirstDay()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("End Of Day Check Report with UnScanned Bags Displayed On Report for Multiday Scen" +
                    "ario for the First Day", ((string[])(null)));
#line 31
this.ScenarioSetup(scenarioInfo);
#line 32
testRunner.Given("The last Safe Bags line had ID \'9545\' in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 33
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 34
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 35
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 36
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 37
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 38
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 39
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 40
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 41
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 42
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 43
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 44
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 45
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 46
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 47
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 48
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 49
testRunner.And("End of Day Check Process for today was started", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 50
testRunner.And("Valid Pickup Bag under Seal Number \'33333331\' was scanned", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 51
testRunner.And("Valid Pickup Bag under Seal Number \'33333332\' was scanned", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 52
testRunner.And("Valid Pickup Bag under Seal Number \'33333333\' was scanned", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 53
testRunner.And("Safe was locked from 20:45 of today till 06:30 of tomorrow by Manager \'Amy Murphy" +
                    "\' and witnessed by \'George Hunt\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 54
testRunner.And("End Of Day Check Process was completed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 55
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 56
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 57
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 58
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 59
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'22222221\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 60
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'22222222\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 61
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'22222223\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 62
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 63
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1300 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 64
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 800 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 65
testRunner.And("The cashier \'Fred Bloggs\' makes a 1250 pounds pickup under Seal Number \'55555551\'" +
                    " from a Float under Seal Number \'44444441\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 66
testRunner.And("The cashier \'Bill Smith\' makes a 1350 pounds pickup under Seal Number \'55555552\' " +
                    "from a Float under Seal Number \'44444442\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 67
testRunner.And("The cashier \'George Hunt\' makes a 800 pounds pickup under Seal Number \'55555553\' " +
                    "from a Float under Seal Number \'44444443\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 68
testRunner.And("End of Day Check Process for today was started", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 69
testRunner.And("Safe was locked from 21:00 of today till 06:45 of tomorrow by Manager \'Amy Murphy" +
                    "\' and witnessed by \'George Hunt\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 70
testRunner.And("End Of Day Check Process was completed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 71
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 72
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 73
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 74
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 75
testRunner.And("Banking Day was yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 76
testRunner.And("There was 5090 pounds in Main Safe and 510 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 77
testRunner.And("Bankinking day is two days ago", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 78
testRunner.And("Banking Day was closed with Seal Number \'666-66666666-6\' and Slip Number \'123\' wi" +
                    "th comment \'Day One Banking Comment\' and Banking Value of 7000", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 79
testRunner.And("Banking Day was yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 80
testRunner.And("Banking Day was closed with Seal Number \'777-77777777-7\' and Slip Number \'456\' wi" +
                    "th comment \'Day Two Banking Comment\' and Banking Value of 1500", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 81
testRunner.And("End of Day Check Process for today was started", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 82
testRunner.And("Valid Pickup Bag under Seal Number \'666-66666666-6\' was scanned", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 83
testRunner.And("Safe was locked from 20:45 of today till 06:30 of tomorrow by Manager \'Amy Murphy" +
                    "\' and witnessed by \'George Hunt\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 84
testRunner.And("End Of Day Check Process was completed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 85
testRunner.When("End of Day Check Report Selected Date is the day before yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 86
testRunner.Then("Number of assigned bags is 0", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 87
testRunner.And("List of Unscanned Bags is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("End Of Day Check Report with UnScanned Bags Displayed On Report for Multiday Scen" +
            "ario for the Second Day")]
        public virtual void EndOfDayCheckReportWithUnScannedBagsDisplayedOnReportForMultidayScenarioForTheSecondDay()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("End Of Day Check Report with UnScanned Bags Displayed On Report for Multiday Scen" +
                    "ario for the Second Day", ((string[])(null)));
#line 89
this.ScenarioSetup(scenarioInfo);
#line 90
testRunner.Given("The last Safe Bags line had ID \'9545\' in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 91
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 92
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 93
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 94
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 95
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 96
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 97
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 98
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 99
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 100
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 101
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 102
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 103
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 104
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 105
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 106
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 107
testRunner.And("End of Day Check Process for today was started", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 108
testRunner.And("Valid Pickup Bag under Seal Number \'33333331\' was scanned", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 109
testRunner.And("Valid Pickup Bag under Seal Number \'33333332\' was scanned", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 110
testRunner.And("Valid Pickup Bag under Seal Number \'33333333\' was scanned", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 111
testRunner.And("Safe was locked from 20:45 of today till 06:30 of tomorrow by Manager \'Amy Murphy" +
                    "\' and witnessed by \'George Hunt\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 112
testRunner.And("End Of Day Check Process was completed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 113
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 114
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 115
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 116
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 117
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'22222221\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 118
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'22222222\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 119
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'22222223\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 120
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 121
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1300 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 122
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 800 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 123
testRunner.And("The cashier \'Fred Bloggs\' makes a 1250 pounds pickup under Seal Number \'55555551\'" +
                    " from a Float under Seal Number \'44444441\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 124
testRunner.And("The cashier \'Bill Smith\' makes a 1350 pounds pickup under Seal Number \'55555552\' " +
                    "from a Float under Seal Number \'44444442\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 125
testRunner.And("The cashier \'George Hunt\' makes a 800 pounds pickup under Seal Number \'55555553\' " +
                    "from a Float under Seal Number \'44444443\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 126
testRunner.And("End of Day Check Process for today was started", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 127
testRunner.And("Safe was locked from 21:00 of today till 06:45 of tomorrow by Manager \'Amy Murphy" +
                    "\' and witnessed by \'George Hunt\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 128
testRunner.And("End Of Day Check Process was completed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 129
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 130
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 131
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 132
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 133
testRunner.And("Banking Day was yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 134
testRunner.And("There was 5090 pounds in Main Safe and 510 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 135
testRunner.And("Bankinking day is two days ago", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 136
testRunner.And("Banking Day was closed with Seal Number \'666-66666666-6\' and Slip Number \'123\' wi" +
                    "th comment \'Day One Banking Comment\' and Banking Value of 7000", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 137
testRunner.And("Banking Day was yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 138
testRunner.And("Banking Day was closed with Seal Number \'777-77777777-7\' and Slip Number \'456\' wi" +
                    "th comment \'Day Two Banking Comment\' and Banking Value of 1500", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 139
testRunner.And("End of Day Check Process for today was started", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 140
testRunner.And("Valid Pickup Bag under Seal Number \'666-66666666-6\' was scanned", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 141
testRunner.And("Safe was locked from 20:45 of today till 06:30 of tomorrow by Manager \'Amy Murphy" +
                    "\' and witnessed by \'George Hunt\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 142
testRunner.And("End Of Day Check Process was completed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 143
testRunner.When("End of Day Check Report Selected Date is yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 144
testRunner.Then("Number of assigned bags is 6", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 145
testRunner.And("List of Unscanned Bags contains next Seal Numbers: \'33333331 33333332 33333333 55" +
                    "555551 55555552 55555553\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("End Of Day Check Report with UnScanned Bags Displayed On Report for Multiday Scen" +
            "ario for the Third Day")]
        public virtual void EndOfDayCheckReportWithUnScannedBagsDisplayedOnReportForMultidayScenarioForTheThirdDay()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("End Of Day Check Report with UnScanned Bags Displayed On Report for Multiday Scen" +
                    "ario for the Third Day", ((string[])(null)));
#line 147
this.ScenarioSetup(scenarioInfo);
#line 148
testRunner.Given("The last Safe Bags line had ID \'9545\' in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 149
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 150
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 151
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 152
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 153
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 154
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 155
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 156
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 157
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 158
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 159
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 160
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 161
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 162
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 163
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 164
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 165
testRunner.And("End of Day Check Process for today was started", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 166
testRunner.And("Valid Pickup Bag under Seal Number \'33333331\' was scanned", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 167
testRunner.And("Valid Pickup Bag under Seal Number \'33333332\' was scanned", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 168
testRunner.And("Valid Pickup Bag under Seal Number \'33333333\' was scanned", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 169
testRunner.And("Safe was locked from 20:45 of today till 06:30 of tomorrow by Manager \'Amy Murphy" +
                    "\' and witnessed by \'George Hunt\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 170
testRunner.And("End Of Day Check Process was completed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 171
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 172
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 173
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 174
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 175
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'22222221\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 176
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'22222222\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 177
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'22222223\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 178
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 179
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1300 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 180
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 800 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 181
testRunner.And("The cashier \'Fred Bloggs\' makes a 1250 pounds pickup under Seal Number \'55555551\'" +
                    " from a Float under Seal Number \'44444441\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 182
testRunner.And("The cashier \'Bill Smith\' makes a 1350 pounds pickup under Seal Number \'55555552\' " +
                    "from a Float under Seal Number \'44444442\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 183
testRunner.And("The cashier \'George Hunt\' makes a 800 pounds pickup under Seal Number \'55555553\' " +
                    "from a Float under Seal Number \'44444443\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 184
testRunner.And("End of Day Check Process for today was started", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 185
testRunner.And("Safe was locked from 21:00 of today till 06:45 of tomorrow by Manager \'Amy Murphy" +
                    "\' and witnessed by \'George Hunt\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 186
testRunner.And("End Of Day Check Process was completed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 187
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 188
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 189
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 190
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 191
testRunner.And("Banking Day was yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 192
testRunner.And("There was 5090 pounds in Main Safe and 510 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 193
testRunner.And("Bankinking day is two days ago", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 194
testRunner.And("Banking Day was closed with Seal Number \'666-66666666-6\' and Slip Number \'123\' wi" +
                    "th comment \'Day One Banking Comment\' and Banking Value of 7000", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 195
testRunner.And("Banking Day was yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 196
testRunner.And("Banking Day was closed with Seal Number \'777-77777777-7\' and Slip Number \'456\' wi" +
                    "th comment \'Day Two Banking Comment\' and Banking Value of 1500", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 197
testRunner.And("End of Day Check Process for today was started", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 198
testRunner.And("Valid Pickup Bag under Seal Number \'666-66666666-6\' was scanned", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 199
testRunner.And("Safe was locked from 20:45 of today till 06:30 of tomorrow by Manager \'Amy Murphy" +
                    "\' and witnessed by \'George Hunt\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 200
testRunner.And("End Of Day Check Process was completed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 201
testRunner.When("End of Day Check Report Selected Date is today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 202
testRunner.Then("Number of assigned bags is 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 203
testRunner.And("List of Unscanned Bags contains next Seal Numbers: \'777-77777777-7\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("End Of Day Check Report with UnScanned Bags Displayed On Report for Singleday Sce" +
            "nario for the First Day")]
        public virtual void EndOfDayCheckReportWithUnScannedBagsDisplayedOnReportForSingledayScenarioForTheFirstDay()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("End Of Day Check Report with UnScanned Bags Displayed On Report for Singleday Sce" +
                    "nario for the First Day", ((string[])(null)));
#line 205
this.ScenarioSetup(scenarioInfo);
#line 206
testRunner.Given("The last Safe Bags line had ID \'9545\' in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 207
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 208
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 209
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 210
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 211
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 212
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 213
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 214
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 215
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 216
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 217
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 218
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 219
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 220
testRunner.When("End of Day Check Report Selected Date is today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 221
testRunner.Then("Number of assigned bags is 0", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 222
testRunner.And("List of Unscanned Bags is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("End Of Day Check Report with UnScanned Bags Displayed On Report for Singleday Sce" +
            "nario for the Second Day")]
        public virtual void EndOfDayCheckReportWithUnScannedBagsDisplayedOnReportForSingledayScenarioForTheSecondDay()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("End Of Day Check Report with UnScanned Bags Displayed On Report for Singleday Sce" +
                    "nario for the Second Day", ((string[])(null)));
#line 224
this.ScenarioSetup(scenarioInfo);
#line 225
testRunner.Given("The last Safe Bags line had ID \'9545\' in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 226
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 227
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 228
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 229
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 230
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 231
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 232
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 233
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 234
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 235
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 236
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 237
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 238
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 239
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 240
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 241
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 242
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 243
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 244
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 245
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 246
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 247
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 248
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 249
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 250
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 251
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 252
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 253
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 254
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 255
testRunner.When("End of Day Check Report Selected Date is today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 256
testRunner.Then("Number of assigned bags is 3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 257
testRunner.And("List of Unscanned Bags contains next Seal Numbers: \'33333331 33333332 33333333\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund Report")]
        public virtual void RefundReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund Report", ((string[])(null)));
#line 259
this.ScenarioSetup(scenarioInfo);
#line 260
testRunner.When("Logged User is \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 261
testRunner.Then("Refund Report has Column Name \'OVC TRAN\' for Index 3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 262
testRunner.Then("Refund Report has Column Name \'AMOUNT\' for Index 14", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
